Skip to content
Guides
CustomersCustomer

Update customer address

PUT/v1/customer/addresses/{addressId}

Update customer address. A successful request returns HTTP 204 without a response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

addressId*string

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

x-Store-Domain*string

Store slug or configured domain that selects the store context at the central Storefront gateway.

Length1 <= length <= 253

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/v1/customer/addresses/7204558912004325301" \  -H "Authorization: Bearer <token>" \  -H "x-Store-Domain: my-store" \  -H "Content-Type: application/json" \  -d '{    "addressKey": "example",    "countryIsoCode": "example_code",    "addressLine": "example",    "addressNumber": "example",    "department": "example",    "province": "example",    "district": "example",    "phone": "+51987654321"  }'
Empty